unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, IdIOHandler, IdIOHandlerSocket, IdSSLOpenSSL,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient;

type
  TMainForm = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    editHost: TEdit;
    Label2: TLabel;
    editPort: TEdit;
    Panel2: TPanel;
    butnConnect: TButton;
    butnDisconnect: TButton;
    butnVersion: TButton;
    butnSSLVersion: TButton;
    memoOutput: TMemo;
    Client: TIdTCPClient;
    ClientSSL: TIdSSLIOHandlerSocket;
    CheckBox1: TCheckBox;
    procedure butnConnectClick(Sender: TObject);
    procedure butnDisconnectClick(Sender: TObject);
    procedure butnVersionClick(Sender: TObject);
    procedure butnSSLVersionClick(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.butnConnectClick(Sender: TObject);
begin
  Client.Host := editHost.Text;
  Client.Port := StrToIntDef(editPort.Text, 9000);
  if not Client.Connected then begin
    Client.Connect;
    memoOutput.Lines.Add(Client.ReadLn);
  end;
end;

procedure TMainForm.butnDisconnectClick(Sender: TObject);
begin
  if Client.Connected then begin
    Client.WriteLn('QUIT');
    memoOutput.Lines.Add(Client.ReadLn);
    Client.Disconnect;
  end;
end;

procedure TMainForm.butnVersionClick(Sender: TObject);
begin
  if Client.Connected then begin
    Client.WriteLn('Version');
    memoOutput.Lines.Add(Client.ReadLn);
  end;
end;

procedure TMainForm.butnSSLVersionClick(Sender: TObject);
begin
  if Client.Connected then begin
    Client.WriteLn('SSL');
    memoOutput.Lines.Add(Client.ReadLn);
  end;
end;

procedure TMainForm.CheckBox1Click(Sender: TObject);
begin
  if Client.Connected then begin
    Client.Disconnect;
  end;
  if CheckBox1.Checked then begin
    Client.IOHandler := ClientSSL;
  end else begin
    Client.IOHandler := nil;
  end;
end;

end.
